Skip to main content

Get Memory Version

Reads a specific historical version. For reviewing old content; does not roll back the current memory.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

GET /memory_stores/{memory_store_id}/memory_versions/{memory_version_id}

Path parameters

FieldRequiredTypeDescription
memory_store_idYesstringMemory store ID
memory_version_idYesstringVersion ID

Request example

curl "$AGENTSTUDIO_URL/memory_stores/memstore_xxx/memory_versions/memver_xxx" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

Response example

{
  "id": "memver_xxx",
  "type": "memory_version",
  "memory_store_id": "memstore_xxx",
  "memory_id": "mem_xxx",
  "operation": "modified",
  "path": "/notes/project.md",
  "content": "# Project Conventions\nThe default development environment is staging.\nChanges require regression tests.\n",
  "content_sha256": "a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f90",
  "content_size_bytes": 68,
  "created_at": "2026-09-17T08:30:00Z"
}

Response fields

FieldTypeDescription
idstring
typestring
memory_store_idstring
memory_idstring
operationcreated / modified / deleted
pathstring
contentstring
content_sha256string
content_size_bytesinteger
redacted_atstring | null
created_atstring

Error codes

HTTP statusError codeDescription
401InvalidApiKeyAPI key missing, invalid, or expired
403permission_errorInsufficient identity or resource access permissions
404not_found_errorResource does not exist or does not belong to the current workspace
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration